package asw.asw810.server;

import java.util.logging.Logger;

import asw.asw810.service.Service;
import asw.util.logging.AswLogger;

/* Implementazione del servizio Service. */ 
public class Servant implements Service {

	/* logger */ 
	private Logger logger = AswLogger.getInstance().getLogger("asw.asw810.server"); 

	/* Crea un nuovo servant. */ 
	public Servant() {
		logger.info("Creazione di un nuovo Servant"); 
	}

	/* Restituisce la stringa passata come parametro, 
	 * ma in lettere maiuscole. */  
	public String alpha(String arg) { 
		String result = arg.toUpperCase(); 
		logger.info("Servant: executing alpha(" + arg + ") ==> " + result);
    	return result; 
    } 

}

