package asw.asw810.server.connector;

import java.util.logging.Logger;

import asw.asw810.service.Service;
import asw.asw810.server.Servant;
import asw.util.logging.AswLogger;

/* Server per il servizio: 
 * Questa applicazione crea il servant e avvia il server. */ 
public class Server {

	/* logger */ 
	private static Logger logger = AswLogger.getInstance().getLogger("asw.asw810.server.connector"); 

	/* porta del server */ 
	private static int SERVER_PORT = 6789; 

	/* Avvio del server. */ 
	public static void main(String[] args) {
		logger.info("Server...");
        Service service = new Servant(); 
        int port = SERVER_PORT; 
		logger.info("Server: starting...");
        ServiceServerProxy server = new ServiceServerProxy(service, port);
        server.run(); 
		logger.info("Server: stopped");
	}
	
}


